(function(document, window, jQuery){

let fileid = localStorage.getItem("changefile");
if (!fileid || fileid == "") {
    alert("请从\"查看文件\"中选择文件");
    window.location.href = "/index.html?to=/pages/table.html";
    return;
}

let req = "id=" + fileid;
localStorage.setItem("changefile", "");
fetch("/api/get-file-info", {
    method: "POST",
    headers: {
        "Content-Type": "application/x-www-form-urlencoded; charset=UTF-8"
    },
    body: req
}).then(resp => resp.json()).then(resp => {
    if (resp.state != "成功") {
        alert(resp.message);
        window.location.href = "/index.html?to=/pages/table.html";
        return;
    }
    let fields = document.getElementById("modify-file").querySelectorAll(".field");
    try {
        fields[0].value = resp.title;
        fields[1].value = resp.name;
        fields[2].value = resp.type;
        fields[3].value = resp.product;
        fields[4].value = resp.ptype;
        fields[5].value = resp.version;
        fields[6].value = resp.svnpath;
        fields[7].value = resp.uploader;
        fields[8].value = resp.text;
        fields[9].value = resp.mtime;
        fields[10].value = resp.id;
    } catch(err) {
        alert(err);
        window.location.href = "/index.html?to=/pages/table.html";
    }
});

})(document,window,jQuery);