(function(document, window, jQuery){

    let account = localStorage.getItem("changeuser");
    if (!account || account == "") {
        alert("请从\"查看文件\"中选择文件");
        window.location.href = "/index.html?to=/pages/userList.html";
        return;
    }
    let req = "account=" + account + "&pageid=1&pagesize=1";
    localStorage.setItem("changeuser", "");
    fetch("/api/get-user-info/one", {
        method: "POST",
        headers: {
            "Content-Type": "application/x-www-form-urlencoded; charset=UTF-8"
        },
        body: req
    }).then(resp => resp.json()).then(resp => {
        if (resp.state != "成功") {
            alert(resp.message);
            window.location.href = "/index.html?to=/pages/userList.html";
            return;
        }
        if (resp.users.length < 1) {
            alert("用户未发现");
            window.location.href = "/index.html?to=/pages/userList.html";
            return;
        }
        let uform = document.getElementById("modify-user");
        let fields = uform.querySelectorAll(".field");
        try {
            let row = resp.users[0];
            fields[0].value = row.account;
            fields[1].value = row.name;
            fields[2].value = row.depart;
            let roleid = 1;
            if (row.role == "超级管理员") {
                roleid = 0;
            } else if (row.role == "普通用户") {
                roleid = 2;
            }
            fields[3].querySelectorAll("option")[roleid].selected = true;
            let stats = 0;
            if (row.status == "禁用") {
                stats = 1;
            }
            fields[4].querySelectorAll("option")[stats].selected = true;
            fields[5].value = row.time;
        } catch(err) {
            alert(err);
            window.location.href = "/index.html?to=/pages/table.html";
        }
    });
    
    })(document,window,jQuery);