function onModifyUser(event) {
    event.preventDefault();
    let fields = document.getElementById("modify-user").querySelectorAll(".field");
    let obj = [];
    for (let i = 0; i < fields.length; ++i) {
        obj.push(fields[i].name + "=" + fields[i].value);
    }
    let req = encodeURI(obj.join("&"));
    fetch("/api/mod-user-info", {
        method: "POST",
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'
        },
        body: req
    }).then(resp => resp.json()).then(resp => {
        alert(resp.message);
        window.location.href = "/index.html?to=/pages/userList.html";
    });
}

function onChangePassword(event) {
    event.preventDefault();
    let fields = document.getElementById("chang-pass").querySelectorAll(".field");
    if (fields[0].value != fields[1].value) {
        alert("两次输入的密码不一致");
        return;
    }
    if (fields[0].value.length < 6 || fields[0].value.length > 16) {
        alert("密码长度在6～16之间");
        return;
    }
    let req = "password=" + fields[0].value;
    fetch("/api/mod-user-info", {
        method: "POST",
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'
        },
        body: req
    }).then(resp => resp.json()).then(resp => {
        if (resp.state != "成功") {
            alert(resp.message);
            return;
        }
        fetch("/api/logout").then(resp => resp.json()).then(resp => {
            localStorage.clear();
            window.location.href = "/login.html";
        });
    });
} 