(function(window){
    var LOGIN_EXPIRE_TIME = 24 * 60 * 60; // one day
    function checkLogin() {
        if (!localStorage.getItem("account")) {
            return false;
        }
        let logtime = parseInt(localStorage.getItem("logtime"));
        let d = new Date();
        if (d.getTime() / 1000 - logtime < LOGIN_EXPIRE_TIME) {
            return true;
        }
        return false;
    }
    
    if (!checkLogin()) {
        localStorage.clear();
        window.location.href="/login.html"
    }
})(window);

