delimiter //
create function f_sys_is_x_user(
    i_account varchar(20),
    i_x int
) returns int
begin
    -- 0 for yes, others for no.
    declare o_ret int default 0;
stOpt:begin
    declare v_cnt int;
    declare i_userid int;
    declare exit handler for not found set o_ret = 1;
    
    select s_id into i_userid from sys_user where s_account = i_account and s_status = 0;
    select count(*) into v_cnt from sys_user_role where s_userid = i_userid and s_roleid > i_x;
    if v_cnt > 0 then
        set o_ret = 1;
        leave stOpt;
    end if;
end; -- stOpt
    return o_ret;
end //

create function f_sys_is_super(
    i_account varchar(20)
) returns int
begin
    return f_sys_is_x_user(i_account, 1);
end //

create function f_sys_is_admin(
    i_account varchar(20)
) returns int
begin
    return f_sys_is_x_user(i_account, 2);
end //

delimiter ;
