delimiter //

create procedure p_sys_add_user(
    i_opt_account varchar(20),
    i_account varchar(20),
    i_name varchar(20),
    i_dpart varchar(96),
    i_pass varchar(32),
    i_role varchar(32)
)
begin
    declare o_ret int default 0;
stMain:begin
    declare v_count int default 0;
    declare v_roleid int default 3;
    declare v_pass varchar(32) default 0;
    declare v_userid int;
    declare continue handler for not found set o_ret = -1;
    set o_ret = f_sys_is_super(i_opt_account);
    if o_ret != 0 then
        set o_ret = 1;
        leave stMain;
    end if;

    -- check repeat
    select count(*) into v_count from sys_user where s_account = i_account;
    if v_count != 0 then
        set o_ret = 2;
        leave stMain;
    end if;

    -- gen password
    set v_pass = md5(i_pass);

    insert into sys_user(s_account, s_name, s_dpart, s_password) values(i_account, i_name, i_dpart, v_pass);
    set v_userid = last_insert_id();

    -- get roleid;
    select count(*), s_id into v_count, v_roleid from sys_role where s_name = i_role limit 1;
    if v_count = 0 or o_ret = -1 then
        select max(s_id) into v_roleid from sys_role;
    end if;

    insert into sys_user_role(s_userid, s_roleid) values(v_userid, v_roleid);
    commit;
    set o_ret = 0;
end; -- stMain
    select o_ret;
end //
delimiter ;
