delimiter //

create procedure p_sys_change_user(
    i_opt_account varchar(20),
    i_account varchar(20),
    i_name varchar(32),
    i_icon varchar(128),
    i_pass varchar(32),
    i_depart varchar(64),
    i_status tinyint,
    i_role varchar(32)
)
begin
    declare o_ret int default 0;
    start transaction;
stBegin:begin
    declare i_roleid int default 0;
    declare i_userid int default 0;
    set o_ret = f_sys_is_super(i_opt_account);
    if o_ret = 0 || i_opt_account = i_account then
        if i_name is not null and i_name != '' then
            -- 修改名称
            update sys_user set s_name = i_name where s_account = i_account;
        end if;

        if i_icon is not null and i_icon != '' then
            -- 修改图像
            update sys_user set s_icon = i_icon where s_account = i_account;
        end if;

        if i_pass is not null and i_pass != '' then
            -- 修改密码
            update sys_user set s_password = md5(i_pass) where s_account = i_account;
        end if;

        if i_depart is not null and i_depart != '' then 
            -- 修改部门
            update sys_user set s_dpart = i_depart where s_account = i_account;
        end if;
    end if;

    if o_ret = 0 then
        if i_role is not null and i_role != '' then
            -- 修改角色
            select s_id into i_roleid from sys_role where s_name = i_role limit 1;
            select s_id into i_userid from sys_user where s_account = i_account limit 1;
            update sys_user_role set s_roleid = i_roleid where s_userid = i_userid;
        end if;

        if i_status = 0 or i_status = 1 then
            -- 修改用户状态
            update sys_user set s_status = i_status where s_account = i_account;
        end if;
    else
        set o_ret = 0;
        if (i_role is not null && i_role != '') or i_status = 0 or i_status = 1 then
            set o_ret = 1;
        end if;
    end if; -- super only
end; -- stBegin
    if o_ret != 0 then
        rollback;
    else
        commit;
    end if;
    select o_ret;
end //

delimiter ;
