function render(data) {
    if (!data) {
        return;
    }
    if (data instanceof Array) {
        for (let idx = 0; idx < data.length; ++idx) {
            render(data[idx]);
        }
        return;
    }
    let docNode = document.getElementById(data["id"]);
    if ("attr" in data) {
        for (let name in data["attr"]) {
            docNode.setAttribute(name, data["attr"][name]);
        }
    }
    if ("content" in data) {
        docNode.innerHTML = data["content"];
    }
}