function Upload(event) {
    event.preventDefault();
    let progress = document.getElementById("upprogress");
    this.className = "upload-btn forbidden";
    let fields = document.getElementById("upload").querySelectorAll(".field");
    var file = fields[0].files[0];
    if (!file) {
        alert('请选择上传文件');
        return
    }
    var params = new FormData();
    params.append('file', file);
    for (let i = 1; i < fields.length; ++i) {
        let item = fields[i];
        params.append(item.name, item.value);
    }
    progress.className = "show";
    var xhr = new XMLHttpRequest();
    xhr.onerror = function () {
        alert('上传异常');
    }
    xhr.onreadystatechange = function () {
        if (xhr.readyState == 4) {
            if (xhr.status == 200) {
                let resp = JSON.parse(xhr.responseText);
                if (resp.state != "成功") {
                    alert(resp.message);
                } else {
                    alert(resp.message);
                    window.location.href = "/index.html?to=/pages/table.html";
                }
            } else {
                alert("上传失败，网络异常");
                console.error(xhr.status);
            }
        }
    }
    xhr.upload.onprogress = function (e) {
        progress.innerHTML = Math.round(e.loaded / e.total * 100) + '%';
    }
    xhr.open('POST', '/api/upload', true);
    xhr.send(params);
}