function onGetUser(obj) {
    let pbar = obj.bar;
    let pgid = parseInt(obj.pageid);
    let pgsize = parseInt(obj.pagesize);
    let req = "pageid=" + pgid + "&pagesize=" + pgsize;
    fetch("/api/get-user-info/list", {
        method: "POST",
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'
        },
        body: req
    }).then(resp => resp.json()).then(resp => {
        if (resp.state != "成功") {
            alert(resp.message);
            return;
        }
        let datarows = document.getElementById("user-list-datarow");
        datarows.innerHTML = "";
        let temprow = document.getElementById("user-tab-row").content;
        let cols = temprow.querySelectorAll(".tab-col");
        for (let rowid in resp.users) {
            let row = resp.users[rowid];
            cols[0].querySelector("a").setAttribute("data-account", row.account);
            cols[1].textContent = row.account;
            cols[2].textContent = row.name;
            cols[3].textContent = row.depart;
            cols[4].textContent = row.role;
            cols[5].textContent = row.status;
            cols[6].textContent = row.time;
            datarows.appendChild(document.importNode(temprow, true));
        }
        pbar.setAttribute("pg-cur", "" + pgid);
        pbar.setAttribute("pg-count", "" + resp.totalPage);
        pbar.setAttribute("pg-size", "" + resp.pagesize);
    });
}

function onGetUserBtn(event) {
    if (event) {
        event.preventDefault();
    }
    let pagebar = document.getElementsByClassName("user-page-bar")[0];
    let obj = {};
    obj.pageid = pagebar.getAttribute("pg-cur");
    obj.pagesize = pagebar.getAttribute("pg-size");
    obj.bar = pagebar;
    onGetUser(obj);
}

function onChangeUser(event) {
    event.preventDefault();
    localStorage.setItem("changeuser", event.target.getAttribute('data-account'));
    window.location.href = "/index.html?to=/pages/editUser.html";
}