create table file_extrainfo(
    f_id bigint(20) not null comment '文件id' primary key,
    f_prodtype varchar(32) comment '产品类型',
    f_version varchar(20) comment '文件版本',
    f_svnpath varchar(1024) comment 'svn路径',
    f_gitpath varchar(1024) comment 'git路径',
    f_tester varchar(20) comment '测试人',
    f_text varchar(1024) comment '文件备注',
    constraint fk_fei_fid foreign key(f_id) references file_info(f_id)
)
Engine = InnoDB
comment '文件附加信息'
character set 'utf8'
collate 'utf8_general_ci';