delimiter //
create procedure p_sys_login(
    i_account varchar(20),
    i_password varchar(32)
)
stMain:begin
    declare o_ret int default 0; -- 0: 成功，1:失败
    declare o_name varchar(32) default ''; -- 用户名字
    declare o_role varchar(32) default ''; -- 用户角色
    declare o_icon varchar(200) default ''; -- 用户图像

    declare i_pass varchar(32);
    declare i_userid int;
    declare i_stat int;
    declare i_roleid int;
stGetUserInfo:begin
    declare exit handler for not found set o_ret = 1;
    select s_id, s_password, s_status, s_name, s_icon into i_userid, i_pass, i_stat, o_name, o_icon from sys_user
    where s_account = i_account limit 1;
    if i_stat != 0 then
        set o_ret = 2; -- 用户被禁用
        leave stGetUserInfo;
    end if;

    if i_pass != i_pass then
        set o_ret = 3; -- 用户验证失败
        leave stGetUserInfo;
    end if;
    
    select t.s_roleid, t2.s_name into i_roleid, o_role from sys_user_role t inner join sys_role t2
    on t2.s_id = t.s_roleid where t.s_userid = i_userid and t.s_status = 0 and t2.s_status = 0;
end; -- stGetUserInfo

stResult:begin
    declare exit handler for not found set o_ret = 4; -- 无意义。
    select o_ret, o_name, o_role, o_icon;
    if o_ret != 0 then
        leave stResult;
    end if;
    select t.s_name, t.s_title, t.s_url from sys_resource t inner join (
        select t2.s_resid from sys_role_res t2 where t2.s_roleid = i_roleid and t2.s_status = 0
    ) t3
    on t3.s_resid = t.s_id where t.s_status = 0;
    select s_name from sys_role where s_status = 0 limit 3;
end; -- stResult

end //
delimiter ;
