delimiter //

create procedure p_web_delfile(
    i_account varchar(20),
    i_fileid bigint(20)
)
begin
    declare o_ret int default 0;
    declare v_admin int default 1;
    declare o_fpath varchar(1024) default '';
stMain:begin
    declare continue handler for not found set o_ret = 0;
    declare exit handler for sqlexception set o_ret = 5;
    set v_admin = f_sys_is_super(i_account);
    if v_admin != 0 then
        set o_ret = 1;
        leave stMain;
    end if;
    select f_realpath into o_fpath from file_info where f_id = i_fileid limit 1;
    start transaction;
    delete from file_link_map where f_id = i_fileid;
    delete from file_asso_links where f_fileid = i_fileid;
    delete from file_extrainfo where f_id = i_fileid;
    delete from file_info where f_id = i_fileid;
    commit;
end; -- stMain
    if o_ret = 5 then
        rollback;
    end if;
    select o_ret, o_fpath;
end //

delimiter ;
