delimiter //

create procedure p_web_get_finfo(
    i_account varchar(20),
    i_fileid bigint(20)
)
begin
    declare v_ret int default 0;
    declare continue handler for not found set v_ret = 1;

    -- 返回文件信息
    select a.f_name, a.f_realpath, a.f_title, a.f_type, a.f_prod, a.f_upname, a.f_mtime,
    b.f_prodtype, b.f_version, b.f_svnpath, b.f_tester, b.f_text from (
        select f_id, f_name, f_realpath, f_title, f_type, f_prod, f_upname, f_mtime from file_info where f_id = i_fileid
    ) a left join (
        select f_id, f_prodtype, f_version, f_svnpath, f_tester, f_text from file_extrainfo where f_id = i_fileid
    ) b using(f_id);

    -- 返回关联链接
    select f_text, f_links from file_asso_links where f_fileid = i_fileid limit 30;
end //

delimiter ;
